/* network_coding_sup.h: Header file for network coding support. */



#if defined (__cplusplus)
extern "C" {
#endif

#define NC_FLOW_TIMEOUT_TIME 10.00


typedef struct Nc_Flow_Pair
	{
	
	InetT_Address 		addr;
	int					internal_addr;
	double				active_time;
	
	} Nc_Flow_Pair;

typedef struct Nc_Queue_Pair

	{

	Packet * 			pkt; 
	int					stream_index;

	} Nc_Queue_Pair;
